> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the top N rows from the table backed by this asset



## OpenAPI

````yaml /api-reference/4.2/service-catalog.json get /catalog/{project}/assets/{asset}/rows
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service catalog
servers:
  - url: /api/apollo/
security: []
tags:
  - name: catalog
paths:
  /catalog/{project}/assets/{asset}/rows:
    get:
      tags:
        - 4.2 Catalog API
      summary: Get the top N rows from the table backed by this asset
      operationId: getRows
      parameters:
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: asset
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogQueryResults'
components:
  schemas:
    CatalogQueryResults:
      type: object

````